## python-django-channels 1.1.8.1

=== Makefile ===
.PHONY: release

all:

build_assets:
	cd js_client && npm run browserify && cd ..

release:
ifndef version
	$(error Please supply a version)
endif
	@echo Releasing version $(version)
ifeq (,$(findstring $(version),$(shell git log --oneline -1)))
	$(error Last commit does not match version)
endif
	git tag $(version)
	git push
	git push --tags
	python setup.py sdist bdist_wheel upload
	cd js_client && npm publish && cd ..

=== testproject/requirements.txt ===
asgi_redis==0.13.1
asgi_ipc==1.1.0
asgiref==0.13.3
autobahn==0.14.1
channels==0.14.2
daphne==0.13.1
Django==1.9.7
docutils==0.12
msgpack-python==0.4.7
redis==2.10.5
six==1.10.0
statistics==1.0.3.5
Twisted==16.2.0
txaio==2.5.1
zope.interface==4.2.0

=== debian/changelog ===
python-django-channels (1.1.8.1-1) unstable; urgency=low

  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 17:56:43 +0100

python-django-channels (1.1.8-2) unstable; urgency=low

  * Update d/copyright for documentation.

 -- Michael Fladischer <fladi@debian.org>  Mon, 18 Dec 2017 17:21:27 +0100

python-django-channels (1.1.8-1) unstable; urgency=low

  * Initial release (Closes: #882612).

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Nov 2017 19:39:34 +0100

=== debian/control ===
Source: python-django-channels
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 node-browserify-lite,
 python3-all,
 python3-asgiref,
 python3-daphne,
 python3-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.4
Homepage: https://github.com/django/channels/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-channels.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-channels.git
Testsuite: autopkgtest-pkg-python

Package: python-django-channels-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Developer-friendly asynchrony for Django (Documentation)
 Channels is a project to make Django able to handle more than just plain HTTP
 requests, including WebSockets and HTTP2, as well as the ability to run code
 after a response has been sent for things like thumbnailing or background
 calculation.
 .
 It’s an easy-to-understand extension of the Django view model, and easy to
 integrate and deploy.
 .
 This package contains the documentation.

Package: python3-django-channels
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-channels-doc,
Description: Developer-friendly asynchrony for Django (Python3 version)
 Channels is a project to make Django able to handle more than just plain HTTP
 requests, including WebSockets and HTTP2, as well as the ability to run code
 after a response has been sent for things like thumbnailing or background
 calculation.
 .
 It’s an easy-to-understand extension of the Django view model, and easy to
 integrate and deploy.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-channels

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	browserify-lite ./js_client/src/index.js --outfile channels/static/channels/js/websocketbridge.js

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings tests.settings"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-channels-doc/usr/share/doc/python-django-channels-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-django-channels 2.1.7

=== debian/changelog ===
python-django-channels (2.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Feb 2019 09:48:27 +0100

python-django-channels (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Dec 2018 13:09:02 +0100

python-django-channels (2.1.5-1) unstable; urgency=medium

  * Upload to unstable.
  * Clean up files in .pytest_cache/ to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Dec 2018 17:58:04 +0100

python-django-channels (2.1.5-1~exp1) experimental; urgency=low

  * New upstream release.
  * Upstream no longer ships a client-side JS library, so we can remove
    node-browserify-lite from Build-Depends and debian/rules.
  * Remove unused linitan overrides.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Oct 2018 22:43:08 +0200

python-django-channels (2.1.3-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Bump minimum asgiref and daphne version to 2.
  * Bump Standards-Version to 4.2.1.
  * Add python3-pytest and python3-pytest-django to Build-Depends to run
    tests.
  * Add python3-async-generator, to Build-Depends to satisfy test
    requirements.
  * Remove custom pybuild test configuration and let the built-in pytest
    handler run the tests.
  * Clean up test artifacts to allow two builds in a row.
  * Adapt doc-base registration to new doucmentation directory
    structure.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Aug 2018 09:14:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python,
- node-browserify-lite,
  python3-all,
- python3-asgiref,
- python3-daphne,
+ python3-async-generator,
+ python3-asgiref (>= 2),
+ python3-daphne (>= 2),
  python3-django,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/django/channels/
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-channels.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-channels.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-channels
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-channels.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-django-channels-doc

## python-django-channels 2.2.0

=== debian/changelog ===
python-django-channels (2.2.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 12.

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Aug 2019 08:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-async-generator,
@@ -16,7 +16,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-channels.git

## python-django-channels 2.4.0

=== debian/changelog ===
python-django-channels (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Jan 2020 11:09:09 +0100

python-django-channels (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Nov 2019 10:15:03 +0100

python-django-channels (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Add python3-async-timeout to B-D as required by tests.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2019 21:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-python,
  python3-all,
  python3-async-generator,
+ python3-async-timeout,
  python3-asgiref (>= 2),
  python3-daphne (>= 2),
  python3-django,
@@ -16,11 +17,12 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-channels.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-channels-doc
 Section: doc

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-channels-$1/ \
https://github.com/django/channels/releases \
/django/channels/archive/([\d\.]+)\.tar\.gz

## python-django-channels 3.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Channels.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Channels.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Channels"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Channels"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-channels (3.0.3-1) unstable; urgency=low

  * New upstream release to fix CVE-2020-35681 (Closes: #979376).
  * Add python3-pytest-asyncio to Build-Depends, required by tests.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 05 Jan 2021 23:58:27 +0100

python-django-channels (3.0.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-django-channels-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Bump versioned build dependencies on python3-asgiref, python3-daphne
    and python3-django.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Dec 2020 11:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: python-django-channels
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-async-generator,
  python3-async-timeout,
- python3-asgiref (>= 2),
- python3-daphne (>= 2),
- python3-django,
+ python3-asgiref (>= 3.2.10),
+ python3-daphne (>= 3),
+ python3-django (>= 2.2),
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/django/channels/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-channels
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-channels.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -30,6 +31,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Developer-friendly asynchrony for Django (Documentation)
  Channels is a project to make Django able to handle more than just plain HTTP
  requests, including WebSockets and HTTP2, as well as the ability to run code

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-channels-$1/ \
https://github.com/django/channels/releases \
/django/channels/archive/([\d\.]+)\.tar\.gz

## python-django-channels 3.0.4

=== debian/changelog ===
python-django-channels (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Sep 2021 20:18:31 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-channels-$1/ \
https://github.com/django/channels/releases \
/django/channels/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-channels 3.0.5

=== debian/changelog ===
python-django-channels (3.0.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-django.
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:53:08 +0100

python-django-channels (3.0.5-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Team upload.
  * New upstream release.
  * d/patches: Add patch 0001-asyncio-mode-auto.patch
               Patch is in 4.0.0b1 beta upstream version,
               commit 1fcb425 by Carlton Gibson.
               Fixes dh_auto_test FTBFS (Closes: #1020136)
  * d/watch: Fix to work with github repo.
  * d/copyright: Update debian copyright year to 2022.
  * d/control: Bump Standards-Version to 4.6.1
  * d/tests/control: Add python3-all to Depends to remove lintian warning.

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml
  * Also initialize "asyncio_mode = auto" with a pytest.ini during autopkgtests
    to avoid test failure

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 23 Sep 2022 15:27:09 +0300

## python-django-channels 4.0.0

=== debian/changelog ===
python-django-channels (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Drop asyncio-mode patch, fixed by upstream.

 -- Michael Fladischer <fladi@debian.org>  Wed, 19 Oct 2022 13:55:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  python3-async-timeout,
  python3-asgiref (>= 3.2.10),
  python3-daphne (>= 3),
- python3-django (>= 2.2),
+ python3-django,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git

=== debian/tests/control ===
Tests: upstream
Depends:
 @,
 @builddeps@,
 python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-channels-$1/ \
https://github.com/django/channels/tags \
/django/channels/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-channels 4.1.0

=== debian/changelog ===
python-django-channels (4.1.0-1) unstable; urgency=low

  * New upstream version 4.1.0
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 10 Apr 2024 15:56:35 +0000

python-django-channels (4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Jan 2024 10:18:18 +0100

python-django-channels (4.0.0-2) unstable; urgency=medium

  * Team Upload.
  * Add pydist file for channels alias
  * Suggests: daphne. Closes: 1043185

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Jan 2024 13:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-asgiref (>= 3.2.10),
  python3-async-generator,
  python3-async-timeout,
- python3-asgiref (>= 3.2.10),
  python3-daphne (>= 3),
  python3-django,
  python3-pytest,
@@ -18,7 +19,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git
@@ -49,6 +50,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
+ daphne,
  python-django-channels-doc,
 Description: Developer-friendly asynchrony for Django (Python3 version)
  Channels is a project to make Django able to handle more than just plain HTTP

## python-django-channels 4.2.0

=== debian/changelog ===
python-django-channels (4.2.0-1) unstable; urgency=low

  * New upstream version 4.2.0
  * Bump Standards-Version to 4.7.0.
  * Add python3-sphinx-rtd-theme to Build-Depends, required by documentation.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Nov 2024 17:41:20 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.2
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.7.0
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git

## python-django-channels 4.2.2

=== debian/changelog ===
python-django-channels (4.2.2-1) unstable; urgency=low

  * New upstream version 4.2.2
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 Apr 2025 08:17:41 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/django/channels/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-channels

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-channels-doc/usr/share/doc/python-django-channels-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-django-channels 4.3.1

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
python-django-channels (4.3.1-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python3-asgiref (>= 3.9.0) (closes: #1115079).

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Sep 2025 12:53:27 +0100

python-django-channels (4.3.1-1) unstable; urgency=low

  * New upstream version 4.3.1
  * Ignore selenium based tests.
  * Add patch to exclude test subpackages from getting installed.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Aug 2025 18:51:39 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-asgiref (>= 3.2.10),
+ python3-asgiref (>= 3.9.0),
  python3-async-generator,
  python3-async-timeout,
  python3-daphne (>= 3),

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-channels
+export PYBUILD_TEST_ARGS=--ignore=tests/sample_project/tests/test_selenium.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-django-channels 4.3.2

=== debian/changelog ===
python-django-channels (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 20:02:24 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-channels
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-channels.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-django-channels-doc
 Section: doc
